##Shroud
execute as @a[team=Seeker,scores={CloakTime=100..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Shroud:1}}}] run scoreboard players set @s CloakTime 100
execute as @a[tag=ChatOn,team=Seeker,scores={CloakTime=100}] run tellraw @s {"text":"You are now visible","italic":true,"color":"gray"}
execute as @a[team=Seeker,scores={CloakTime=0,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Shroud:1}}}] run scoreboard players set @s CloakTime 600
execute as @a[tag=ChatOn,team=Seeker,scores={CloakTime=0,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Shroud:1}}}] run tellraw @s {"text":"You are now shrouded","italic":true,"color":"gray"}
effect give @a[team=Seeker,scores={CloakTime=100..}] minecraft:weakness 2 255 true
execute at @a[team=Seeker,scores={SeekerType=2,CloakTime=101..}] run attribute @s minecraft:generic.movement_speed base set 0.110
execute at @a[team=Seeker,scores={SeekerType=2,CloakTime=..100}] run attribute @s minecraft:generic.movement_speed base set 0.101

##Manifest
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestA:1}}}] at @s if score 1 Map matches 0 run tp @s 24 -14 -16 facing 10 -14 -21
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestB:1}}}] at @s if score 1 Map matches 0 run tp @s 14 -22 -13 facing 10 -22 -13
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestC:1}}}] at @s if score 1 Map matches 0 run tp @s -4.5 -30 -16.1 facing 0 -30.1 -16.1
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestA:1}}}] at @s if score 1 Map matches 1 run tp @s -145 -21 -54 facing -136 -21 -40
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestB:1}}}] at @s if score 1 Map matches 1 run tp @s -92 -23 -59 facing -96 -23 -54
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestC:1}}}] at @s if score 1 Map matches 1 run tp @s -132 -16 -14 facing -133 -16 -17
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestA:1}}}] at @s if score 1 Map matches 2 run tp @s 168 -8 11 facing 160 -9 13
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestB:1}}}] at @s if score 1 Map matches 2 run tp @s 116 -16 -2 facing 115 -16 -4 
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{ManifestC:1}}}] at @s if score 1 Map matches 2 run tp @s 109 -16 21 facing 107 -16 18
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Manifest:1}}}] at @s run scoreboard players set @s PersonalOne 400
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Manifest:1}}}] at @s run playsound minecraft:entity.ghast.ambient player @a[team=Hider,distance=..20] ~ ~ ~ 10000 0.5
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Manifest:1}}}] at @s run playsound minecraft:entity.warden.dig player @a[distance=..20] ~ ~ ~ 10000 2
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Manifest:1}}}] at @s run tellraw @a[team=Hider,distance=..20] {"text":"Nightwatch has teleported nearby...","italic":true,"color":"gray"}
execute as @a[team=Seeker,scores={PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Manifest:1}}}] at @s run scoreboard players set @a[team=Hider,distance=..20] Eyes 30
scoreboard players remove @a[team=Seeker,scores={SeekerType=2,PersonalOne=1..}] PersonalOne 1

##Items Off CD
item replace entity @a[team=Seeker,scores={SeekerType=2,CloakTime=0}] hotbar.0 with warped_fungus_on_a_stick{Shroud:1,CustomModelData:11,display:{Name:'[{"text":"Shroud","italic":false,"color":"green"}]',Lore:['[{"text":"Briefly become invisible and move faster, but be unable to attack","italic":false,"color":"white"}]']}} 1
item replace entity @a[team=Seeker,scores={SeekerType=2,CloakTime=101..}] hotbar.0 with warped_fungus_on_a_stick{Shroud:1,CustomModelData:12,display:{Name:'[{"text":"Unshroud","italic":false,"color":"green"}]',Lore:['[{"text":"Re-enter the human dimention, becoming lethal again","italic":false,"color":"white"}]']}} 1
item replace entity @a[team=Seeker,scores={SeekerType=2,PersonalOne=0}] hotbar.1 with warped_fungus_on_a_stick{Manifest:1,ManifestA:1,CustomModelData:13,display:{Name:'[{"text":"Sinister Manifest","italic":false,"color":"green"}]',Lore:['[{"text":"Instantly teleport to a location with strong ties to emotion.","italic":false,"color":"white"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"A victim awoke, only to be put to rest forever.","italic":true,"color":"gray"}]']}}
item replace entity @a[team=Seeker,scores={SeekerType=2,PersonalOne=0}] hotbar.2 with warped_fungus_on_a_stick{Manifest:1,ManifestB:1,CustomModelData:13,display:{Name:'[{"text":"Cruel Manifest","italic":false,"color":"green"}]',Lore:['[{"text":"Instantly teleport to a location with strong ties to emotion.","italic":false,"color":"white"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"They hid, holding on to the hope of escape.","italic":true,"color":"gray"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"but all that ever escaped was a final breath.","italic":true,"color":"gray"}]']}}
item replace entity @a[team=Seeker,scores={SeekerType=2,PersonalOne=0}] hotbar.3 with warped_fungus_on_a_stick{Manifest:1,ManifestC:1,CustomModelData:13,display:{Name:'[{"text":"Silent Manifest","italic":false,"color":"green"}]',Lore:['[{"text":"Instantly teleport to a location with strong ties to emotion.","italic":false,"color":"white"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Our secret - it cannot leave here.","italic":true,"color":"gray"}]','[{"text":"The world cannot know. Understood?","italic":true,"color":"gray"}]']}}
item replace entity @a[team=Seeker,scores={SeekerType=2}] hotbar.8 with air

##Items On CD
item replace entity @a[team=Seeker,scores={SeekerType=2,CloakTime=1..100}] hotbar.0 with firework_star{CustomModelData:1,display:{Name:'[{"text":"Shroud","italic":false,"color":"green"}]',Lore:['[{"text":"Briefly become invisible and move faster, but be unable to attack","italic":false,"color":"white"}]']}} 1
item replace entity @a[team=Seeker,scores={SeekerType=2,PersonalOne=1..}] hotbar.1 with firework_star{CustomModelData:1,display:{Name:'[{"text":"Sinister Manifest","italic":false,"color":"green"}]',Lore:['[{"text":"Instantly teleport to a location with strong ties to emotion.","italic":false,"color":"white"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"A victim awoke, only to be put to rest forever.","italic":true,"color":"gray"}]']}}
item replace entity @a[team=Seeker,scores={SeekerType=2,PersonalOne=1..}] hotbar.2 with firework_star{CustomModelData:1,display:{Name:'[{"text":"Cruel Manifest","italic":false,"color":"green"}]',Lore:['[{"text":"Instantly teleport to a location with strong ties to emotion.","italic":false,"color":"white"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"They hid, holding on to the hope of escape.","italic":true,"color":"gray"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"but all that ever escaped was a final breath.","italic":true,"color":"gray"}]']}}
item replace entity @a[team=Seeker,scores={SeekerType=2,PersonalOne=1..}] hotbar.3 with firework_star{CustomModelData:1,display:{Name:'[{"text":"Silent Manifest","italic":false,"color":"green"}]',Lore:['[{"text":"Instantly teleport to a location with strong ties to emotion.","italic":false,"color":"white"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Our secret - it cannot leave here.","italic":true,"color":"gray"}]','[{"text":"The world cannot know. Understood?","italic":true,"color":"gray"}]']}}