## Seeker Effects
scoreboard players add @a[team=Hider] Cooldown 0
scoreboard players add @a[tag=Call,scores={Cooldown=0}] DeclineTime 1
tag @a[scores={DeclineTime=360}] remove Call
scoreboard players set @a[scores={DeclineTime=360}] DeclineTime 0
scoreboard players set @a[tag=!Call] DeclineTime 0

scoreboard players remove @a[scores={Trail=1..}] Trail 1
execute at @a[team=Hider,scores={Trail=1..}] run particle minecraft:block_marker sunflower[half=upper]

item replace entity @a[scores={Eyes=1..}] weapon.offhand with minecraft:gunpowder{CustomModelData:1}
scoreboard players remove @a[scores={Eyes=1..}] Eyes 1
item replace entity @a[team=Hider,scores={Eyes=..0}] weapon.offhand with minecraft:air

## Phone
## Call Display
title @a[tag=Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=1..700,Cooldown=0}] subtitle ["",{"text":"\u2726","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"white"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=701..1200,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2726","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"white"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=1201..1500,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"white"},{"text":" \u2726","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"white"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=1501..2000,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2726 ","bold":true,"color":"white"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=2001..2700,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"white"},{"text":"\u2726","bold":true,"color":"white"}]
title @a[tag=Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=2701..3200,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2726 ","bold":true,"color":"white"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=3201..3500,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"white"},{"text":" \u2726","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"white"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=3501..4000,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2726","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"white"},{"text":"\u2727","bold":true,"color":"white"}]

## Call Effects - Cooldown score set higher to avoid conflict
execute as @a[tag=Call,scores={PhoneClick=1,PhoneGame=1..700,Cooldown=0}] run scoreboard players remove @s Coins 1
execute as @a[tag=Call,scores={PhoneClick=1,PhoneGame=1201..1500,Cooldown=0}] run scoreboard players set @s Cooldown 200
execute as @a[tag=Call,scores={PhoneClick=1,PhoneGame=1201..1500,Cooldown=0}] run scoreboard players set @s PhoneClick 0
execute as @a[tag=Call,scores={PhoneClick=0,PhoneGame=1201..1500,Cooldown=100}] run tag @s remove Call
execute as @a[tag=Call,scores={PhoneClick=1,PhoneGame=2001..2700,Cooldown=0}] run scoreboard players remove @s Coins 1
execute as @a[tag=Call,scores={PhoneClick=1,PhoneGame=3201..3500,Cooldown=0}] run scoreboard players set @s Cooldown 200
execute as @a[tag=Call,scores={PhoneClick=1,PhoneGame=3201..3500,Cooldown=0}] run scoreboard players set @s PhoneClick 0
execute as @a[tag=Call,scores={PhoneClick=0,PhoneGame=3201..3500,Cooldown=100}] run tag @s remove Call
execute as @a[tag=Call,scores={Cooldown=0}] at @s run playsound minecraft:block.note_block.xylophone ambient @a[team=Seeker] ~ ~ ~ 3 0 0
execute as @a[tag=Call,scores={Cooldown=0}] at @s run playsound minecraft:block.note_block.iron_xylophone ambient @a[team=Hider] ~ ~ ~ 3 0 0
execute as @a[tag=Call,scores={Cooldown=0,Heat=..20}] at @s run scoreboard players set @s Heat 20
title @a[tag=Call,scores={PhoneGame=100..700,Cooldown=1..}] subtitle [{"text":"Failed to hang up...","color":"white"},{"text":" -1","color":"gold"}]
title @a[tag=Call,scores={PhoneGame=701..1200,Cooldown=1..}] subtitle [{"text":"Call Resuming...","color":"white"}]
title @a[tag=Call,scores={PhoneGame=1501..2000,Cooldown=1..}] subtitle [{"text":"I can hear you!","color":"white"}]
title @a[tag=Call,scores={PhoneGame=2001..2700,Cooldown=1..}] subtitle [{"text":"Run.","color":"white"},{"text":" -1","color":"gold"}]
title @a[tag=Call,scores={PhoneGame=2701..3200,Cooldown=1..}] subtitle [{"text":"Calling Back...","color":"white"}]
title @a[tag=Call,scores={PhoneGame=3501..4000,Cooldown=1..}] subtitle [{"text":"You can't hide forever","color":"white"}]
title @a[tag=Call,scores={Cooldown=100..200}] subtitle [{"text":"Call Declined...","color":"dark_purple"}]
scoreboard players set @a[team=Hider,scores={Cooldown=100}] Cooldown 0
title @a[tag=Call,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}}] title [{"text":"Kitty is calling...","color":"gold"}]

## Regular Display
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=1..700,Cooldown=0}] subtitle ["",{"text":"\u2726","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"blue"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"blue"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=701..1200,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2726","bold":true,"color":"blue"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"blue"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=1201..1500,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"blue"},{"text":" \u2726","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"blue"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=1501..2000,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"blue"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2726 ","bold":true,"color":"blue"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=2001..2700,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"blue"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"blue"},{"text":"\u2726","bold":true,"color":"white"}]
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=2701..3200,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"blue"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2726 ","bold":true,"color":"blue"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=3201..3500,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2727","bold":true,"color":"blue"},{"text":" \u2726","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"blue"},{"text":"\u2727","bold":true,"color":"white"}]
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}},scores={PhoneGame=3501..4000,Cooldown=0}] subtitle ["",{"text":"\u2727","bold":true,"color":"white"},{"text":" \u2726","bold":true,"color":"blue"},{"text":" \u2727","bold":true,"color":"dark_purple"},{"text":" \u2727 ","bold":true,"color":"blue"},{"text":"\u2727","bold":true,"color":"white"}]

##Number
scoreboard players operation 1 PhoneGame += @r PersonalOne
scoreboard players add 1 PhoneGame 1
execute if score 1 PhoneGame matches 4000.. run scoreboard players set 1 PhoneGame 1

## Functioning
scoreboard players set @a[scores={Cooldown=0,PhoneGame=4001..}] PhoneGame 1
scoreboard players remove @a[scores={Cooldown=1..}] Cooldown 1
scoreboard players set @a[scores={Cooldown=..0}] Cooldown 0
scoreboard players set @a[scores={PhoneGame=..0}] PhoneGame 1
execute as @a[tag=!Call,scores={PhoneClick=1,PhoneGame=1..700,Cooldown=0}] run scoreboard players remove @s Coins 1
execute as @a[tag=!Call,scores={PhoneClick=1,PhoneGame=701..1200,Cooldown=0}] run scoreboard players add @s Coins 1
execute as @a[tag=!Call,scores={PhoneClick=1,PhoneGame=1201..1500,Cooldown=0}] run scoreboard players add @s Coins 3
execute as @a[tag=!Call,scores={PhoneClick=1,PhoneGame=1501..2000,Cooldown=0}] run scoreboard players add @s Coins 1
execute as @a[tag=!Call,scores={PhoneClick=1,PhoneGame=2001..2700,Cooldown=0}] run scoreboard players remove @s Coins 1
execute as @a[tag=!Call,scores={PhoneClick=1,PhoneGame=2701..3200,Cooldown=0}] run scoreboard players add @s Coins 1
execute as @a[tag=!Call,scores={PhoneClick=1,PhoneGame=3201..3500,Cooldown=0}] run scoreboard players add @s Coins 3
execute as @a[tag=!Call,scores={PhoneClick=1,PhoneGame=3501..4000,Cooldown=0}] run scoreboard players add @s Coins 1
scoreboard players set @a[scores={PhoneClick=1..,Cooldown=0}] Cooldown 50
title @a[tag=!Call,scores={PhoneGame=1..700,Cooldown=1..}] subtitle [{"text":"Loss =[","color":"white"},{"text":" -1","color":"gold"}]
title @a[tag=!Call,scores={PhoneGame=701..1200,Cooldown=1..}] subtitle [{"text":"Nice!","color":"blue"},{"text":" +1","color":"gold"}]
title @a[tag=!Call,scores={PhoneGame=1201..1500,Cooldown=1..}] subtitle [{"text":"Jackpot!","color":"dark_purple"},{"text":" +3","color":"gold"}]
title @a[tag=!Call,scores={PhoneGame=1501..2000,Cooldown=1..}] subtitle [{"text":"Good!","color":"blue"},{"text":" +1","color":"gold"}]
title @a[tag=!Call,scores={PhoneGame=2001..2700,Cooldown=1..}] subtitle [{"text":"Not quite...","color":"white"},{"text":" -1","color":"gold"}]
title @a[tag=!Call,scores={PhoneGame=2701..3200,Cooldown=1..}] subtitle [{"text":"Small Win!","color":"blue"},{"text":" +1","color":"gold"}]
title @a[tag=!Call,scores={PhoneGame=3201..3500,Cooldown=1..}] subtitle [{"text":"Super =]!","color":"dark_purple"},{"text":" +3","color":"gold"}]
title @a[tag=!Call,scores={PhoneGame=3501..4000,Cooldown=1..}] subtitle [{"text":"Yay!","color":"blue"},{"text":" +1","color":"gold"}]
title @a[tag=!Call,team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}}] title [{"text":"Superstar Strikers!","color":"gold"}]
execute as @a[tag=!Call,scores={Cooldown=0},team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}}] run scoreboard players add @s PhoneGame 60
execute as @a[tag=Call,scores={Cooldown=0},team=Hider,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{Phone:1}}}] run scoreboard players add @s PhoneGame 100
scoreboard players operation @a[scores={Cooldown=1}] PhoneGame = 1 PhoneGame

##Catnip
execute as @a[team=Hider,scores={Coins=28..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Catnip:1}}}] as @s at @s if score 3 GlobalCooldown matches 0 run function schs:schs/catnipsuccess
execute if score 3 GlobalCooldown matches 1.. run scoreboard players remove 3 GlobalCooldown 1

##Cloak
execute as @a[team=Hider,scores={Coins=35..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Cloak:1}}}] run scoreboard players add @s CloakTime 120
execute as @a[tag=ChatOn,team=Hider,scores={Coins=35..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Cloak:1}}}] run tellraw @s {"text":"You are now cloaked","italic":true,"color":"gray"}
tellraw @a[team=Hider,tag=ChatOn,scores={CloakTime=1}] {"text":"You are now visible","italic":true,"color":"gray"}
effect give @a[team=Hider,scores={CloakTime=120}] minecraft:speed 4 1 true
effect give @a[team=Hider,scores={CloakTime=10..}] minecraft:invisibility 1 0 true
scoreboard players remove @a[scores={CloakTime=1..}] CloakTime 1
execute as @a[team=Hider,scores={CloakTime=1..,Trail=1..}] run scoreboard players set @s Trail 0
execute as @a[team=Hider,scores={Coins=35..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Cloak:1}}}] at @s run playsound minecraft:entity.illusioner.prepare_mirror player @s ~ ~ ~ 1 1
execute as @a[team=Hider,scores={Coins=35..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Cloak:1}}}] run scoreboard players remove @s Coins 35

##Detective's Notes
execute as @a[team=Hider,scores={Coins=20..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Detectives_Notes:1}}}] if score 4 GlobalCooldown matches 0 run function schs:schs/detectivesuccess
execute if score 4 GlobalCooldown matches 1.. run scoreboard players remove 4 GlobalCooldown 1

##Microchip
execute as @a[team=Hider,scores={Coins=15..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Microchip:1}}}] at @s run summon snowball ~ ~ ~ {NoGravity:1b,Invulnerable:1b,Tags:[Microchip,Temporary]}
execute as @a[team=Hider,scores={Coins=15..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Microchip:1}}}] at @s run playsound minecraft:entity.iron_golem.step player @s ~ ~ ~ 1 1.4
execute as @a[team=Hider,scores={Coins=15..,PowerUp=1..},nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{Microchip:1}}}] run scoreboard players remove @s Coins 15
execute as @e[type=snowball,tag=Microchip] at @s run effect give @a[team=Seeker,distance=..0.8,limit=1,sort=nearest] glowing 4 0 true
execute as @e[type=snowball,tag=Microchip] at @s if entity @a[team=Seeker,distance=..0.8,limit=1,sort=nearest] run playsound minecraft:entity.bee.sting player @a ~ ~ ~ 1 0.5
execute as @a[team=Seeker] at @s run kill @e[type=snowball,tag=Microchip,distance=..0.8]

##Items Off CD
execute if score 3 GlobalCooldown matches 0 run item replace entity @a[team=Hider] hotbar.0 with warped_fungus_on_a_stick{Catnip:1,CustomModelData:1,display:{Name:'[{"text":"Catnip ","italic":false,"color":"yellow"},{"text":"-"},{"text":" "},{"text":"28✦","color":"dark_purple"}]',Lore:['[{"text":"Disrupts nearby Seekers and nearby Cat-Based abilities","italic":false,"color":"white"}]']}} 1
execute as @a[team=Hider,scores={CloakTime=0}] run item replace entity @s hotbar.1 with warped_fungus_on_a_stick{Cloak:1,CustomModelData:2,display:{Name:'[{"text":"Cloak ","italic":false,"color":"yellow"},{"text":"-"},{"text":" "},{"text":"35✦","color":"dark_purple"}]',Lore:['[{"text":"Speed up and become invisible","italic":false,"color":"white"}]']}}
execute if score 4 GlobalCooldown matches 0 run item replace entity @a[team=Hider] hotbar.2 with warped_fungus_on_a_stick{Detectives_Notes:1,CustomModelData:3,display:{Name:'[{"text":"Detective\'s Notes ","italic":false,"color":"yellow"},{"text":"-"},{"text":" "},{"text":"20✦","color":"dark_purple"}]',Lore:['[{"text":"Places a glowing pin at every Seeker\'s location","italic":false,"color":"white"}]']}}
item replace entity @a[team=Hider] hotbar.3 with warped_fungus_on_a_stick{Microchip:1,CustomModelData:4,display:{Name:'[{"text":"Microchip ","italic":false,"color":"yellow"},{"text":"-"},{"text":" "},{"text":"15✦","color":"dark_purple"}]',Lore:['[{"text":"Tracks a Seeker who steps on it","italic":false,"color":"white"}]']}}

##Items On CD
execute if score 3 GlobalCooldown matches 1.. run item replace entity @a[team=Hider] hotbar.0 with firework_star{CustomModelData:1,display:{Name:'[{"text":"Catnip ","italic":false,"color":"yellow"},{"text":"-"},{"text":" "},{"text":"28✦","color":"dark_purple"}]',Lore:['[{"text":"Disrupts nearby Seekers and nearby Cat-Based abilities","italic":false,"color":"white"}]']}} 1
execute as @a[team=Hider,scores={CloakTime=1..}] run item replace entity @s hotbar.1 with firework_star{CustomModelData:1,display:{Name:'[{"text":"Cloak ","italic":false,"color":"yellow"},{"text":"-"},{"text":" "},{"text":"35✦","color":"dark_purple"}]',Lore:['[{"text":"Speed up and become invisible","italic":false,"color":"white"}]']}}
execute if score 4 GlobalCooldown matches 1.. run item replace entity @a[team=Hider] hotbar.2 with firework_star{CustomModelData:1,display:{Name:'[{"text":"Detective\'s Notes ","italic":false,"color":"yellow"},{"text":"-"},{"text":" "},{"text":"15✦","color":"dark_purple"}]',Lore:['[{"text":"Places a glowing pin at every Seeker\'s location","italic":false,"color":"white"}]']}}