scoreboard players add @a Reset 0
scoreboard players add @a InGame 0
clear @a[scores={Reset=1..}]
tp @a[scores={Reset=1..}] -1 4 -16 facing -1 3 -8
scoreboard players reset @a[scores={Reset=1..}]

execute as @a[team=!Seeker] at @s if block ~ ~-1 ~ minecraft:lime_concrete run tag @s add Seeker
execute as @a[team=!Seeker] at @s if block ~ ~-1 ~ minecraft:lime_concrete run title @a times 0 4 0
execute as @a[team=!Hider] at @s if block ~ ~-1 ~ minecraft:yellow_concrete run tag @s add Hider
execute as @a[team=!Hider] at @s if block ~ ~-1 ~ minecraft:yellow_concrete run title @a times 0 4 0
execute as @a[team=!Spectator] at @s if block ~ ~-1 ~ minecraft:red_concrete run tag @s add Spectator
execute as @a[team=!Spectator] at @s if block ~ ~-1 ~ minecraft:red_concrete run title @a times 0 4 0
team add Seeker
team add Spectator
team add Hider
team modify Seeker color green
team modify Spectator color red
team modify Hider color yellow
team modify Hider nametagVisibility hideForOtherTeams
team modify Seeker nametagVisibility hideForOtherTeams
team modify Spectator nametagVisibility never
team modify Hider collisionRule never
team modify Seeker collisionRule pushOwnTeam
team modify Spectator collisionRule never
team modify Seeker seeFriendlyInvisibles false
team modify Spectator seeFriendlyInvisibles false
team modify Hider seeFriendlyInvisibles true
team modify Hider friendlyFire false
team modify Seeker friendlyFire false
team modify Spectator friendlyFire false
team join Seeker @a[tag=Seeker,team=!Seeker]
playsound minecraft:entity.cat.purr player @a[tag=Seeker] ~ ~ ~ 1 0.7
tellraw @a[tag=Seeker] ["",{"text":"Track down ","color":"green"},{"text":"and "},{"text":"kill ","color":"green"},{"text":"all the Hiders before time runs out!"}]
tag @a remove Seeker
team join Hider @a[tag=Hider,team=!Hider]
playsound minecraft:block.conduit.ambient.short player @a[tag=Hider] ~ ~ ~ 1 1
tellraw @a[tag=Hider] ["",{"text":"Hide","color":"yellow"},{"text":" from the Seekers. "},{"text":"Escape","color":"yellow"},{"text":" at any cost."}]
tag @a remove Hider
tag @a[team=!Spectator] remove KeepSpec
team join Spectator @a[tag=Spectator,team=!Spectator]
tag @a[tag=Spectator] add KeepSpec
playsound minecraft:item.lodestone_compass.lock player @a[tag=Spectator] ~ ~ ~ 1 1
tellraw @a[tag=Spectator] [{"text":"You will be able to ","color":"white"},{"text":"spectate cameras!","color":"red"}]
tag @a remove Spectator
scoreboard players add 1 Minute 0
execute if score 1 Minute matches ..2 run scoreboard players set 1 Minute 2
scoreboard players set 1 Second 0
scoreboard players set 0 Second 0
title @a actionbar ["",{"score":{"name":"1","objective":"Minute"},"bold":true,"color":"blue"},{"text":":","bold":true,"color":"blue"},{"score":{"name":"0","objective":"Second"},"bold":true,"color":"blue"},{"score":{"name":"1","objective":"Second"},"bold":true,"color":"blue"}]
function schs:schs/reset
execute if entity @a[scores={StartGame=1..}] run function schs:schs/start
execute if entity @a[scores={StartGame=1..}] run scoreboard players set @a StartGame 0
item replace entity @a hotbar.0 with minecraft:red_dye{CustomModelData:1,display:{Name:'[{"text":"Remove 1 Minute","italic":false,"color":"red"}]',Lore:['[{"text":"Drop to ","italic":false,"color":"white"},{"text":"Remove 1 Minute","color":"red"}]']}}
execute if entity @a[scores={RemoveTime=1..}] unless score 1 Minute matches ..2 run scoreboard players remove 1 Minute 1
execute if entity @a[scores={RemoveTime=1..}] run scoreboard players set @a RemoveTime 0
item replace entity @a hotbar.1 with minecraft:lime_dye{CustomModelData:1,display:{Name:'[{"text":"Add 1 Minute","italic":false,"color":"green"}]',Lore:['[{"text":"Drop to ","italic":false,"color":"white"},{"text":"Add 1 Minute","color":"green"}]']}}
execute if entity @a[scores={AddTime=1..}] run scoreboard players add 1 Minute 1
execute if entity @a[scores={AddTime=1..}] run scoreboard players set @a AddTime 0
item replace entity @a hotbar.2 with minecraft:air
scoreboard players add @a Map 0
scoreboard players add 1 Map 0
execute as @a[scores={Map=1..}] run scoreboard players add 1 Map 1
scoreboard players set @a Map 0
execute if score 1 Map matches 3.. run scoreboard players set 1 Map 0
scoreboard players add @a Chat 0
tag @a[scores={Chat=0}] add ChatOn
tag @a[scores={Chat=1}] remove ChatOn
execute as @a[scores={Chat=2..}] run scoreboard players set @s Chat 0
scoreboard players add @a Lives 0
scoreboard players add 1 Lives 0
execute as @a[scores={LivesToggle=1..}] run scoreboard players add 1 Lives 1
scoreboard players set @a LivesToggle 0
execute if score 1 Lives matches 3.. run scoreboard players set 1 Lives 0
execute if score 1 Map matches 0 run item replace entity @a hotbar.3 with minecraft:purple_dye{CustomModelData:1,display:{Name:'[{"text":"Fletcher Family Home","italic":false,"color":"gold"}]',Lore:['[{"text":"Drop to change to the ","italic":false,"color":"white"},{"text":"Rattlebite Guest House","color":"dark_green"}]']}}
execute if score 1 Map matches 1 run item replace entity @a hotbar.3 with minecraft:purple_dye{CustomModelData:2,display:{Name:'[{"text":"Rattlebite Guest House","italic":false,"color":"dark_green"}]',Lore:['[{"text":"Drop to change to the ","italic":false,"color":"white"},{"text":"Mutombo Royal Oath University","color":"dark_aqua"}]']}}
execute if score 1 Map matches 2 run item replace entity @a hotbar.3 with minecraft:purple_dye{CustomModelData:3,display:{Name:'[{"text":"Mutombo Royal Oath University","italic":false,"color":"dark_aqua"}]',Lore:['[{"text":"Drop to change to the ","italic":false,"color":"white"},{"text":"Fletcher Family Home","color":"gold"}]']}}
execute if score 1 Lives matches 0 run item replace entity @a hotbar.4 with minecraft:yellow_dye{CustomModelData:1,display:{Name:'[{"text":"1 Hit","italic":false,"color":"yellow"}]',Lore:['[{"text":"Drop to change ","italic":false,"color":"white"},{"text":"the amount of hits Hiders can take!","color":"yellow"}]']}}
execute if score 1 Lives matches 1 run item replace entity @a hotbar.4 with minecraft:yellow_dye{CustomModelData:2,display:{Name:'[{"text":"2 Hits","italic":false,"color":"yellow"}]',Lore:['[{"text":"Drop to change ","italic":false,"color":"white"},{"text":"the amount of hits Hiders can take!","color":"yellow"}]']}}
execute if score 1 Lives matches 2 run item replace entity @a hotbar.4 with minecraft:yellow_dye{CustomModelData:3,display:{Name:'[{"text":"3 Hits","italic":false,"color":"yellow"}]',Lore:['[{"text":"Drop to change ","italic":false,"color":"white"},{"text":"the amount of hits Hiders can take!","color":"yellow"}]']}}
item replace entity @a[tag=ChatOn] hotbar.5 with minecraft:white_dye{CustomModelData:2,display:{Name:'[{"text":"Accessibility On","italic":false,"color":"light_purple"}]',Lore:['[{"text":"Drop to ","italic":false,"color":"white"},{"text":"turn Accessibility off!","color":"light_purple"}]']}}
item replace entity @a[tag=!ChatOn] hotbar.5 with minecraft:white_dye{CustomModelData:1,display:{Name:'[{"text":"Accessibility Off","italic":false,"color":"light_purple"}]',Lore:['[{"text":"Drop to ","italic":false,"color":"white"},{"text":"turn Accessibility on!","color":"light_purple"}]']}}
item replace entity @a hotbar.6 with minecraft:air
item replace entity @a hotbar.7 with minecraft:air
item replace entity @a hotbar.8 with minecraft:cyan_dye{display:{Name:'[{"text":"Start!","italic":false,"color":"aqua"}]',Lore:['[{"text":"Drop to ","italic":false,"color":"white"},{"text":"start the game!","color":"aqua"}]']}}
item replace entity @a inventory.0 with minecraft:air
item replace entity @a inventory.1 with minecraft:air
item replace entity @a inventory.2 with minecraft:air
item replace entity @a inventory.3 with minecraft:air
item replace entity @a inventory.4 with minecraft:air
item replace entity @a inventory.5 with minecraft:air
item replace entity @a inventory.6 with minecraft:air
item replace entity @a inventory.7 with minecraft:air
item replace entity @a inventory.8 with minecraft:comparator{display:{Name:'[{"text":"Setting Guide!","italic":false,"color":"blue","bold":true}]',Lore:['[{"text":"Music & Sounds","italic":false,"color":"blue","underlined":true}]','[{"text":"Jukebox/Note Block = Low Volume (Map Music may be loud!)","italic":false,"color":"gray"}]','[{"text":"Player = Medium or High Volume (Power-Up SFX)","italic":false,"color":"gray"}]','[{"text":"Ambient = Medium Volume (Phone Call)","italic":false,"color":"gray"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Video Settings","italic":false,"color":"blue","underlined":true}]','[{"text":"Brightness = 40-100 (Avoid Fullbright)","italic":false,"color":"gray"}]']}} 1
item replace entity @a inventory.9 with minecraft:air
item replace entity @a inventory.10 with minecraft:air
item replace entity @a inventory.11 with minecraft:air
item replace entity @a inventory.12 with minecraft:air
item replace entity @a inventory.13 with minecraft:air
item replace entity @a inventory.14 with minecraft:air
item replace entity @a inventory.15 with minecraft:air
item replace entity @a inventory.16 with minecraft:air
item replace entity @a inventory.17 with minecraft:air
item replace entity @a inventory.18 with minecraft:air
item replace entity @a inventory.19 with minecraft:air
item replace entity @a inventory.20 with minecraft:air
item replace entity @a inventory.21 with minecraft:air
item replace entity @a inventory.22 with minecraft:air
item replace entity @a inventory.23 with minecraft:air
item replace entity @a inventory.24 with minecraft:air
item replace entity @a inventory.25 with minecraft:air
item replace entity @a inventory.26 with minecraft:air
item replace entity @a weapon.offhand with minecraft:air
kill @e[type=item]

gamemode adventure @a