execute as @e[team=Hider] at @s run title @s actionbar ["",{"score":{"name":"1","objective":"Minute"},"bold":true,"color":"blue"},{"text":":","bold":true,"color":"blue"},{"score":{"name":"0","objective":"Second"},"bold":true,"color":"blue"},{"score":{"name":"1","objective":"Second"},"bold":true,"color":"blue"},{"text":" | ","color":"white"},{"score":{"name":"*","objective":"Coins"},"bold":true,"color":"dark_purple"},{"text":"✦","bold":true,"color":"dark_purple"}]
execute as @a[team=Spectator] at @s run title @s actionbar ["",{"score":{"name":"1","objective":"Minute"},"bold":true,"color":"blue"},{"text":":","bold":true,"color":"blue"},{"score":{"name":"0","objective":"Second"},"bold":true,"color":"blue"},{"score":{"name":"1","objective":"Second"},"bold":true,"color":"blue"}]
execute as @e[team=Seeker,scores={SeekerType=0}] at @s run title @s actionbar ["",{"score":{"name":"1","objective":"Global"},"italic":true,"color":"gray"},{"text":"x Call ","italic":true,"color":"gray"},{"score":{"name":"1","objective":"Minute"},"bold":true,"color":"blue"},{"text":":","bold":true,"color":"blue"},{"score":{"name":"0","objective":"Second"},"bold":true,"color":"blue"},{"score":{"name":"1","objective":"Second"},"bold":true,"color":"blue"},{"text":" ","bold":true,"color":"blue"},{"score":{"name":"@p","objective":"PersonalOne"},"italic":true,"color":"gray"},{"text":"x Scan ","italic":true,"color":"gray"}]
execute as @e[team=Seeker,scores={SeekerType=1}] at @s run title @s actionbar ["",{"score":{"name":"1","objective":"Minute"},"bold":true,"color":"blue"},{"text":":","bold":true,"color":"blue"},{"score":{"name":"0","objective":"Second"},"bold":true,"color":"blue"},{"score":{"name":"1","objective":"Second"},"bold":true,"color":"blue"},{"text":" ","bold":true,"color":"blue"},{"score":{"name":"@p","objective":"PersonalTwo"},"italic":true,"color":"gray"},{"text":"x Stuffed Kitten ","italic":true,"color":"gray"}]
execute as @e[team=Seeker,scores={SeekerType=2}] at @s run title @s actionbar ["",{"score":{"name":"1","objective":"Minute"},"bold":true,"color":"blue"},{"text":":","bold":true,"color":"blue"},{"score":{"name":"0","objective":"Second"},"bold":true,"color":"blue"},{"score":{"name":"1","objective":"Second"},"bold":true,"color":"blue"}]

effect give @a[team=Spectator] minecraft:invisibility 1 1 true
effect give @a[team=!Hider] minecraft:resistance 1 255 true
effect give @e[type=cat] minecraft:resistance 1000000 255

execute at @a[team=Seeker,scores={SeekerType=0}] run particle minecraft:dripping_obsidian_tear ~ ~ ~ 0 0 0 0 1
execute at @a[team=Seeker,scores={SeekerType=1}] run particle minecraft:dripping_water ~ ~ ~ 0 0 0 0 1
execute at @a[team=Seeker,scores={SeekerType=2,CloakTime=..100}] run particle minecraft:dripping_obsidian_tear ~ ~ ~ 0 0 0 0 1

execute as @a[team=Hider,scores={Lives=1..}] if entity @s[nbt={HurtTime:10s}] run effect give @s minecraft:invisibility 6 0 true
execute as @a[team=Hider,scores={Lives=1..}] if entity @s[nbt={HurtTime:10s}] run effect give @s minecraft:speed 6 2 true
execute as @a[team=Hider] if entity @s[nbt={HurtTime:10s}] run scoreboard players remove @s Lives 1
execute as @a[team=Hider,scores={Lives=..-1}] run tag @s add Caught
execute if score 1 Map matches 0 run tp @a[tag=Caught] -4 -19 -9 facing 1 -24 -19
execute if score 1 Map matches 1 run tp @a[tag=Caught] -109 -22 -25 facing -110 -22 -27
execute if score 1 Map matches 2 run tp @a[tag=Caught] 123 -13 -12 facing 122 -14 -12
execute as @a[tag=Caught,scores={Trail=1..}] run playsound minecraft:entity.vex.charge player @s ~ ~ ~ 10000 0.4
execute as @a[tag=Caught] run playsound minecraft:entity.phantom.ambient player @s ~ ~ ~ 10000 0.6
execute as @a[tag=Caught] at @s run particle minecraft:dust 1 0.1 0 1 ~ ~1 ~ 0.5 0.5 0.5 1 20
execute as @a[tag=Caught] at @s run particle minecraft:soul ~ ~1 ~ 0.5 0.5 0.5 0 1
team join Spectator @a[tag=Caught]
tag @a remove Caught

function schs:schs/hider
execute if entity @e[team=Seeker,tag=ChatOn] run function schs:schs/heat
execute if entity @e[team=Seeker,scores={SeekerType=0}] run function schs:schs/kitty
execute if entity @e[team=Seeker,scores={SeekerType=1}] run function schs:schs/janitor
execute if entity @e[team=Seeker,scores={SeekerType=2}] run function schs:schs/nightwatch
execute if entity @e[team=Spectator] run function schs:schs/spectator

execute if score 1 Map matches 0 if score 1 Music matches 0 run playsound custom:cold_caller record @a ~ ~ ~ 10000 1
execute if score 1 Map matches 0 if score 1 Music matches 0 run scoreboard players set 1 Music 5164
execute if score 1 Map matches 1 if score 1 Music matches 0 run playsound custom:insomnias_lullaby record @a ~ ~ ~ 10000 1
execute if score 1 Map matches 1 if score 1 Music matches 0 run scoreboard players set 1 Music 3914
execute if score 1 Map matches 2 if score 1 Music matches 0 run playsound custom:washed_away record @a ~ ~ ~ 10000 1
execute if score 1 Map matches 2 if score 1 Music matches 0 run scoreboard players set 1 Music 3742
scoreboard players remove 1 Music 1

function schs:schs/allgame